<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Tue Nov 26 12:47:08 NZDT 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CleanMojo (Debian Maven Plugin 1.0.20 API)</title>
<meta name="date" content="2019-11-26">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CleanMojo (Debian Maven Plugin 1.0.20 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CleanMojo.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../net/sf/debianmaven/CheckMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?net/sf/debianmaven/CleanMojo.html" target="_top">Frames</a></li>
<li><a href="CleanMojo.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.net.sf.debianmaven.AbstractDebianMojo">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.net.sf.debianmaven.AbstractDebianMojo">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">net.sf.debianmaven</div>
<h2 title="Class CleanMojo" class="title">Class CleanMojo</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.maven.plugin.AbstractMojo</li>
<li>
<ul class="inheritance">
<li><a href="../../../net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">net.sf.debianmaven.AbstractDebianMojo</a></li>
<li>
<ul class="inheritance">
<li>net.sf.debianmaven.CleanMojo</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">CleanMojo</span>
extends <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></pre>
<div class="block">Cleans up all files generated by this plugin.</div>
<dl>
<dt><span class="simpleTagLabel">Goal name of this mojo:</span></dt>
<dd>clean</dd>
<dt><span class="simpleTagLabel">Default phase:</span></dt>
<dd>clean</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.net.sf.debianmaven.AbstractDebianMojo">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;net.sf.debianmaven.<a href="../../../net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></h3>
<code><a href="../../../net/sf/debianmaven/AbstractDebianMojo.LogOutput.html" title="class in net.sf.debianmaven">AbstractDebianMojo.LogOutput</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.net.sf.debianmaven.AbstractDebianMojo">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;net.sf.debianmaven.<a href="../../../net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></h3>
<code><a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#maintainerEmail">maintainerEmail</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#maintainerName">maintainerName</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#packageArchitecture">packageArchitecture</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#packageName">packageName</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#packageRevision">packageRevision</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#sourceDir">sourceDir</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#stageDir">stageDir</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#targetDir">targetDir</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.maven.plugin.Mojo">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.maven.plugin.Mojo</h3>
<code>ROLE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/CleanMojo.html#CleanMojo--">CleanMojo</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../net/sf/debianmaven/CleanMojo.html#executeDebMojo--">executeDebMojo</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.net.sf.debianmaven.AbstractDebianMojo">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;net.sf.debianmaven.<a href="../../../net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></h3>
<code><a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#execute--">execute</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#getPackageFile--">getPackageFile</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#getPackageVersion--">getPackageVersion</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#newFile-java.io.File-java.lang.String-">newFile</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#processVersion-java.lang.String-">processVersion</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#processVersion-java.lang.String:A-">processVersion</a>, <a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#runProcess-java.lang.String:A-boolean-">runProcess</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.maven.plugin.AbstractMojo">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.maven.plugin.AbstractMojo</h3>
<code>getLog, getPluginContext, setLog, setPluginContext</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CleanMojo--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CleanMojo</h4>
<pre>public&nbsp;CleanMojo()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="executeDebMojo--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>executeDebMojo</h4>
<pre>protected&nbsp;void&nbsp;executeDebMojo()
                       throws org.apache.maven.plugin.MojoExecutionException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../net/sf/debianmaven/AbstractDebianMojo.html#executeDebMojo--">executeDebMojo</a></code>&nbsp;in class&nbsp;<code><a href="../../../net/sf/debianmaven/AbstractDebianMojo.html" title="class in net.sf.debianmaven">AbstractDebianMojo</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.apache.maven.plugin.MojoExecutionException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CleanMojo.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../net/sf/debianmaven/CheckMojo.html" title="class in net.sf.debianmaven"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../net/sf/debianmaven/CopyResource.html" title="class in net.sf.debianmaven"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?net/sf/debianmaven/CleanMojo.html" target="_top">Frames</a></li>
<li><a href="CleanMojo.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.net.sf.debianmaven.AbstractDebianMojo">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.net.sf.debianmaven.AbstractDebianMojo">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2012-2019. All Rights Reserved.</small></p>
</body>
</html>
